All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.storage.olap
Interface PropertyInterface

All Known Implementing Classes:
  Property

    public interface PropertyInterface

Represents a property in a multidimensional cube. A property can be defined for members and cells. The member properties may be defined for all members in a given level or for individual members. Therefore, both the level and member can be retrieved via the getLevel() and getMember() methods, respectively. The member may also be bound to an instance of the MetadataInterface, which is accessible from the getMetadata() method.

See Also:
  `LevelInterface`, `MetadataInterface`, `MemberInterface`

Field Summary
`static int` | `TYPE_CELL` The name of the property whose type is cell, as well as the return value for the getType method.
`static int` | `TYPE_MEMBER` The name of the property whose type is member, as well as the return value for the getType method.

Method Summary
`java.lang.Class` | `getDataType()` Returns the data type of the property.
`java.lang.String` | `getDescription()` Returns the description for the property
`Filter` | `getFilter()` Returns a copy of the Filter object that was used to obtain this PropertyInterface.
`java.lang.String` | `getLabel()` Returns the property's label.
`LevelInterface` | `getLevel()` Returns the level that this property is a child of.
`MemberInterface` | `getMember()` Returns the member that this property is a child of.
`java.lang.String` | `getName()` Returns the property's name.
`int` | `getType()` Returns the type of the property.

Field Detail

### TYPE_MEMBER

    static final int TYPE_MEMBER

  The name of the property whose type is member, as well as the return value for the getType method.

  See Also:
    Constant Field Values

### TYPE_CELL

    static final int TYPE_CELL

  The name of the property whose type is cell, as well as the return value for the getType method.

  See Also:
    Constant Field Values

Method Detail

### getName

    java.lang.String getName()
                             throws OLAPException

  Returns the property's name. The name of the property.

  Returns:
    The property's name.
  Throws:
    `OLAPException` - if a database error occurs

### getLabel

    java.lang.String getLabel()
                              throws OLAPException

  Returns the property's label. The label is descriptive text about the property, i.e. a caption.

  Returns:
    The property's label.
  Throws:
    `OLAPException` - if a database error occurs

### getType

    int getType()
                throws OLAPException

  Returns the type of the property. TYPE_MEMBER, TYPE_CELL

  Returns:
    The name of the type of the property.
  Throws:
    `OLAPException` - if a database error occurs

### getDescription

    java.lang.String getDescription()
                                    throws OLAPException

  Returns the description for the property

  Returns:
    The description of the property.
  Throws:
    `OLAPException` - if a database error occurs

### getDataType

    java.lang.Class getDataType()
                                throws OLAPException

  Returns the data type of the property.

  Returns:
    The name of the data type of the property.
  Throws:
    `OLAPException` - if a database error occurs

### getLevel

    LevelInterface getLevel()
                            throws OLAPException

  Returns the level that this property is a child of.

  Returns:
    The level that parents this property.
  Throws:
    `OLAPException` - if a database error occurs

### getMember

    MemberInterface getMember()
                              throws OLAPException

  Returns the member that this property is a child of.

  Returns:
    The member that parents this property.
  Throws:
    `OLAPException` - if a database error occurs

### getFilter

    Filter getFilter()
                     throws OLAPException

  Returns a copy of the Filter object that was used to obtain this PropertyInterface. The filter object may be applied explicitly via the MetadataInterface, or it may be created implicitly via a getProperties() method.

  Returns:
    A copy of the Filter object that was used to obtain this PropertyInterface
  Throws:
    `OLAPException` - if a database error occurs

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.